Page MenuHomePhabricator

Fix llama user id {hawk} [5 pts]
Closed, ResolvedPublic

Description

llama user is installed by CDH package as a non system user. This causes /usr/local/sbin/enforce-users-groups which is run by puppet to try to remove the user.

uid on analytics1026 should be changed, and puppet should add the llama user with a proper system uid before the package is installed.

Event Timeline

Ottomata created this task.May 28 2015, 5:02 PM
Ottomata claimed this task.
Ottomata raised the priority of this task from to Needs Triage.
Ottomata updated the task description. (Show Details)
Ottomata added a subscriber: Ottomata.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2015, 5:02 PM
faidon added a subscriber: faidon.Sep 8 2015, 7:05 AM

Any news here @Ottomata? puppet has been failing on analytics1026 for more than 68 days now.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 8 2015, 7:05 AM
Ottomata set Security to None.
kevinator renamed this task from Fix llama user id to Fix llama user id {hawk}.Sep 21 2015, 4:11 PM
Ottomata renamed this task from Fix llama user id {hawk} to Fix llama user id {hawk} [5 pts].Sep 21 2015, 4:14 PM
kevinator triaged this task as Normal priority.Sep 21 2015, 4:14 PM

Change 240111 had a related patch set uploaded (by Ottomata):
Manage llama user in puppet to work around package bug

https://gerrit.wikimedia.org/r/240111

Change 240111 merged by Ottomata:
Manage llama user in puppet to work around package bug

https://gerrit.wikimedia.org/r/240111

Ottomata moved this task from Next Up to Done on the Analytics-Kanban board.Sep 22 2015, 3:16 PM
Dzahn added a subscriber: Dzahn.Sep 22 2015, 3:42 PM

moved to "Done" means it's resolved, right?

Dzahn added a comment.Sep 22 2015, 3:45 PM

shouldn't that user have "system=> true" though if the point is to create it as a system user?

Change 240117 had a related patch set uploaded (by Ottomata):
Set system => true for llama user

https://gerrit.wikimedia.org/r/240117

Change 240117 merged by Ottomata:
Set system => true for llama user

https://gerrit.wikimedia.org/r/240117

kevinator closed this task as Resolved.Sep 22 2015, 4:10 PM
kevinator added a subscriber: kevinator.

Change 240136 had a related patch set uploaded (by Ottomata):
Don't hardcode llama uid

https://gerrit.wikimedia.org/r/240136

Change 240136 merged by Ottomata:
Don't hardcode llama uid

https://gerrit.wikimedia.org/r/240136